001/*
002 * Licensed to the Apache Software Foundation (ASF) under one or more
003 * contributor license agreements.  See the NOTICE file distributed with
004 * this work for additional information regarding copyright ownership.
005 * The ASF licenses this file to You under the Apache License, Version 2.0
006 * (the "License"); you may not use this file except in compliance with
007 * the License.  You may obtain a copy of the License at
008 *
009 *      http://www.apache.org/licenses/LICENSE-2.0
010 *
011 * Unless required by applicable law or agreed to in writing, software
012 * distributed under the License is distributed on an "AS IS" BASIS,
013 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
014 * See the License for the specific language governing permissions and
015 * limitations under the License.
016 */
017package org.apache.juneau.bean.mcp.v20250618;
018
019import org.apache.juneau.marshall.*;
020
021/**
022 * MCP {@code initialize} request parameters.
023 */
024@Marshalled
025public class InitializeRequest {
026
027   private String protocolVersion;
028   private ClientCapabilities capabilities;
029   private Implementation clientInfo;
030
031   /**
032    * Client protocol revision.
033    *
034    * @return The protocol version, or {@code null} if not set.
035    */
036   public String getProtocolVersion() {
037      return protocolVersion;
038   }
039
040   /**
041    * Sets the client protocol revision.
042    *
043    * @param value The new value.  Can be <jk>null</jk> to unset the property.
044    * @return This object (for method chaining).
045    */
046   public InitializeRequest setProtocolVersion(String value) {
047      protocolVersion = value;
048      return this;
049   }
050
051   /**
052    * Client capabilities.
053    *
054    * @return The capabilities, or {@code null} if not set.
055    */
056   public ClientCapabilities getCapabilities() {
057      return capabilities;
058   }
059
060   /**
061    * Sets client capabilities.
062    *
063    * @param value The new value.  Can be <jk>null</jk> to unset the property.
064    * @return This object (for method chaining).
065    */
066   public InitializeRequest setCapabilities(ClientCapabilities value) {
067      capabilities = value;
068      return this;
069   }
070
071   /**
072    * Client implementation metadata.
073    *
074    * @return The client info, or {@code null} if not set.
075    */
076   public Implementation getClientInfo() {
077      return clientInfo;
078   }
079
080   /**
081    * Sets client implementation metadata.
082    *
083    * @param value The new value.  Can be <jk>null</jk> to unset the property.
084    * @return This object (for method chaining).
085    */
086   public InitializeRequest setClientInfo(Implementation value) {
087      clientInfo = value;
088      return this;
089   }
090}